%define aname QuiteRSS

Name:           quiterss
Version:        0.19.4
Release:        %mkrel 1
License:        GPLv3
Summary:        RSS/Atom news feeds reader
Group:          Networking/News
URL:            http://quiterss.org/
Source0:        http://quiterss.org/files/%{version}_/%{aname}-%{version}-src.tar.xz
Patch0:         0001-fix-build.patch
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  qtsingleapplication-qt5-devel
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  qttools5
Requires:       qt5-database-plugin-sqlite

%description
QuiteRSS is a open-source cross-platform RSS/Atom news feeds reader.

Idea:
 * Quite fast and comfortable to user

Features:
 * Embedded browser (Webkit core)
 * Feed and news filters: new, unread, starred, deleted
   (for news until restart application)
 * User filters
 * Proxy configuration: automatic or manual
 * Feed import wizard: Search feed URL if site URL was entered
 * Adblock
 * Click to Flash
 * Mark news starred
 * Automatic update feeds: on startup, by timer
 * Automatic cleanup on close using criterias
 * Enable/Disable images in news preview
 * Ability to quickly hide feed tree (for comfortable viewing)
 * Open feed or news in own tab
 * Quick news filter and quick search in browser
 * Sound notification on new news
 * Popup notification on new news
 * Show new or unread news counter on tray icon
 * Minimize on system tray: on start, on close, on minimize
 * Import/Export feeds (OPML-files)
 * Portable (Windows)
 * Free working set (Windows)
 * Shortcuts
 * Check for updates
 * Cross-platform
 * Multilingual
 * Open-source

%prep
%setup -q -c -n %{aname}-%{version}-src
%apply_patches

%build
%qmake_qt5 CONFIG+=release PREFIX=%{_prefix} SYSTEMQTSA=1 %{aname}.pro
%make_build

%install
rm -rf %buildroot
%make_install INSTALL_ROOT=%{buildroot}

%find_lang %{name} --without-mo

%files -f %{name}.lang
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/
%{_datadir}/quiterss/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Fri Apr 24 2020 tex - 0.19.4-1pclos2020
- new version: 0.19.4
